## mercurial 5.9

=== debian/changelog ===
mercurial (5.9-3) unstable; urgency=medium

  * Further adjust tests for endianness-related variations.
  * Silence yet another test warning about `which`.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2021 19:54:04 +0200

mercurial (5.9-2) unstable; urgency=medium

  * Fix bugs in revlog parsing causing issues on s390x, and adjust some
    tests to accept variations in zstd output.  Closes: #992844.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2021 17:22:58 +0200

mercurial (5.9-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * New upstream release.
    - Add OpenPGP key for Pulkit Goyal <7895pulkit@gmail.com>.
    - Refresh patches.

  [ Julien Cristau ]
  * Silence warnings from `which` in tests.

 -- Julien Cristau <jcristau@debian.org>  Mon, 23 Aug 2021 17:04:40 +0200

## mercurial 5.9.3

=== debian/changelog ===
mercurial (5.9.3-1) unstable; urgency=medium

  * New upstream release.
    + proposed_upstream__revlog_s390x_part[12].patch: dropped, merged upstream
    + deb_specific__test_zstd_s390x.patch: updated

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Oct 2021 22:22:46 +0200

## mercurial 6.0

=== Makefile ===
# If you want to change PREFIX, do not just edit it below. The changed
# value wont get passed on to recursive make calls. You should instead
# override the variable on the command like:
#
# % make PREFIX=/opt/ install

export PREFIX=/usr/local

# Default to Python 3.
#
# Windows ships Python 3 as `python.exe`, which may not be on PATH.  py.exe is.
ifeq ($(OS),Windows_NT)
PYTHON?=py -3
else
PYTHON?=python3
endif

PYOXIDIZER?=pyoxidizer

$(eval HGROOT := $(shell pwd))
HGPYTHONS ?= $(HGROOT)/build/pythons
PURE=
PYFILESCMD=find mercurial hgext doc -name '*.py'
PYFILES:=$(shell $(PYFILESCMD))
DOCFILES=mercurial/helptext/*.txt
export LANGUAGE=C
export LC_ALL=C
TESTFLAGS ?= $(shell echo $$HGTESTFLAGS)
OSXVERSIONFLAGS ?= $(shell echo $$OSXVERSIONFLAGS)
CARGO = cargo

# Set this to e.g. "mingw32" to use a non-default compiler.
COMPILER=

COMPILERFLAG_tmp_ =
COMPILERFLAG_tmp_${COMPILER} ?= -c $(COMPILER)
COMPILERFLAG=${COMPILERFLAG_tmp_${COMPILER}}

help:
	@echo 'Commonly used make targets:'
	@echo '  all          - build program and documentation'
	@echo '  install      - install program and man pages to $$PREFIX ($(PREFIX))'
	@echo '  install-home - install with setup.py install --home=$$HOME ($(HOME))'
	@echo '  local        - build for inplace usage'
	@echo '  tests        - run all tests in the automatic test suite'
	@echo '  test-foo     - run only specified tests (e.g. test-merge1.t)'
	@echo '  dist         - run all tests and create a source tarball in dist/'
	@echo '  clean        - remove files created by other targets'
	@echo '                 (except installed files or dist source tarball)'
	@echo '  update-pot   - update i18n/hg.pot'
	@echo
	@echo 'Example for a system-wide installation under /usr/local:'
	@echo '  make all && su -c "make install" && hg version'
	@echo
	@echo 'Example for a local installation (usable in this directory):'
	@echo '  make local && ./hg version'

all: build doc

local:
	$(PYTHON) setup.py $(PURE) \
	  build_py -c -d . \
	  build_ext $(COMPILERFLAG) -i \
	  build_hgexe $(COMPILERFLAG) -i \
	  build_mo
	env HGRCPATH= $(PYTHON) hg version

build:
	$(PYTHON) setup.py $(PURE) build $(COMPILERFLAG)

build-chg:
	make -C contrib/chg

build-rhg:
	(cd rust/rhg; cargo build --release)

wheel:
	FORCE_SETUPTOOLS=1 $(PYTHON) setup.py $(PURE) bdist_wheel $(COMPILERFLAG)

doc:
	$(MAKE) -C doc

cleanbutpackages:
	rm -f hg.exe
	-$(PYTHON) setup.py clean --all # ignore errors from this command
	find contrib doc hgext hgext3rd i18n mercurial tests hgdemandimport \
		\( -name '*.py[cdo]' -o -name '*.so' \) -exec rm -f '{}' ';'
	rm -f MANIFEST MANIFEST.in hgext/__index__.py tests/*.err
	rm -f mercurial/__modulepolicy__.py
	if test -d .hg; then rm -f mercurial/__version__.py; fi
	rm -rf build mercurial/locale
	$(MAKE) -C doc clean
	$(MAKE) -C contrib/chg distclean
	rm -rf rust/target
	rm -f mercurial/rustext.so

clean: cleanbutpackages
	rm -rf packages

install: install-bin install-doc

install-bin: build
	$(PYTHON) setup.py $(PURE) install --root="$(DESTDIR)/" --prefix="$(PREFIX)" --force

install-chg: build-chg
	make -C contrib/chg install PREFIX="$(PREFIX)"

install-doc: doc
	cd doc && $(MAKE) $(MFLAGS) install

install-home: install-home-bin install-home-doc

install-home-bin: build
	$(PYTHON) setup.py $(PURE) install --home="$(HOME)" --prefix="" --force

install-home-doc: doc
	cd doc && $(MAKE) $(MFLAGS) PREFIX="$(HOME)" install

install-rhg: build-rhg
	install -m 755 rust/target/release/rhg "$(PREFIX)"/bin/

MANIFEST-doc:
	$(MAKE) -C doc MANIFEST

MANIFEST.in: MANIFEST-doc
	hg manifest | sed -e 's/^/include /' > MANIFEST.in
	echo include mercurial/__version__.py >> MANIFEST.in
	sed -e 's/^/include /' < doc/MANIFEST >> MANIFEST.in

dist:	tests dist-notests

dist-notests:	doc MANIFEST.in
	TAR_OPTIONS="--owner=root --group=root --mode=u+w,go-w,a+rX-s" $(PYTHON) setup.py -q sdist

check: tests

tests:
        # Run Rust tests if cargo is installed
	if command -v $(CARGO) >/dev/null 2>&1; then \
		$(MAKE) rust-tests; \
	fi
	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS)

test-%:
	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS) $@

testpy-%:
	@echo Looking for Python $* in $(HGPYTHONS)
	[ -e $(HGPYTHONS)/$*/bin/python ] || ( \
	cd $$(mktemp --directory --tmpdir) && \
        $(MAKE) -f $(HGROOT)/contrib/Makefile.python PYTHONVER=$* PREFIX=$(HGPYTHONS)/$* python )
	cd tests && $(HGPYTHONS)/$*/bin/python run-tests.py $(TESTFLAGS)

rust-tests: py_feature = $(shell $(PYTHON) -c \
 'import sys; print(["python27-bin", "python3-bin"][sys.version_info[0] >= 3])')
rust-tests:
	cd $(HGROOT)/rust/hg-cpython \
		&& $(CARGO) test --quiet --all \
			--no-default-features --features "$(py_feature) $(HG_RUST_FEATURES)"

check-code:
	hg manifest | xargs python contrib/check-code.py

format-c:
	clang-format --style file -i \
	  `hg files 'set:(**.c or **.cc or **.h) and not "listfile:contrib/clang-format-ignorelist"'`

update-pot: i18n/hg.pot

i18n/hg.pot: $(PYFILES) $(DOCFILES) i18n/posplit i18n/hggettext
	$(PYTHON) i18n/hggettext mercurial/commands.py \
	  hgext/*.py hgext/*/__init__.py \
	  mercurial/fileset.py mercurial/revset.py \
	  mercurial/templatefilters.py \
	  mercurial/templatefuncs.py \
	  mercurial/templatekw.py \
	  mercurial/filemerge.py \
	  mercurial/hgweb/webcommands.py \
	  mercurial/util.py \
	  $(DOCFILES) > i18n/hg.pot.tmp
        # All strings marked for translation in Mercurial contain
        # ASCII characters only. But some files contain string
        # literals like this '\037\213'. xgettext thinks it has to
        # parse them even though they are not marked for translation.
        # Extracting with an explicit encoding of ISO-8859-1 will make
        # xgettext "parse" and ignore them.
	$(PYFILESCMD) | xargs \
	  xgettext --package-name "Mercurial" \
	  --msgid-bugs-address "<mercurial-devel@mercurial-scm.org>" \
	  --copyright-holder "Olivia Mackall <olivia@selenic.com> and others" \
	  --from-code ISO-8859-1 --join --sort-by-file --add-comments=i18n: \
	  -d hg -p i18n -o hg.pot.tmp
	$(PYTHON) i18n/posplit i18n/hg.pot.tmp
        # The target file is not created before the last step. So it never is in
        # an intermediate state.
	mv -f i18n/hg.pot.tmp i18n/hg.pot

%.po: i18n/hg.pot
        # work on a temporary copy for never having a half completed target
	cp $@ $@.tmp
	msgmerge --no-location --update $@.tmp $^
	mv -f $@.tmp $@

# Packaging targets

packaging_targets := \
  centos7 \
  centos8 \
  deb \
  docker-centos7 \
  docker-centos8 \
  docker-debian-bullseye \
  docker-debian-buster \
  docker-debian-stretch \
  docker-fedora \
  docker-ubuntu-xenial \
  docker-ubuntu-xenial-ppa \
  docker-ubuntu-bionic \
  docker-ubuntu-bionic-ppa \
  docker-ubuntu-focal \
  docker-ubuntu-focal-ppa \
  fedora \
  linux-wheels \
  linux-wheels-x86_64 \
  linux-wheels-i686 \
  ppa

# Forward packaging targets for convenience.
$(packaging_targets):
	$(MAKE) -C contrib/packaging $@

osx:
	rm -rf build/mercurial
	/usr/bin/python2.7 setup.py install --optimize=1 \
	  --root=build/mercurial/ --prefix=/usr/local/ \
	  --install-lib=/Library/Python/2.7/site-packages/
	make -C doc all install DESTDIR="$(PWD)/build/mercurial/"
        # Place a bogon .DS_Store file in the target dir so we can be
        # sure it doesn't get included in the final package.
	touch build/mercurial/.DS_Store
        # install zsh completions - this location appears to be
        # searched by default as of macOS Sierra.
	install -d build/mercurial/usr/local/share/zsh/site-functions/
	install -m 0644 contrib/zsh_completion build/mercurial/usr/local/share/zsh/site-functions/_hg
        # install bash completions - there doesn't appear to be a
        # place that's searched by default for bash, so we'll follow
        # the lead of Apple's git install and just put it in a
        # location of our own.
	install -d build/mercurial/usr/local/hg/contrib/
	install -m 0644 contrib/bash_completion build/mercurial/usr/local/hg/contrib/hg-completion.bash
	make -C contrib/chg \
	  HGPATH=/usr/local/bin/hg \
	  PYTHON=/usr/bin/python2.7 \
	  DESTDIR=../../build/mercurial \
	  PREFIX=/usr/local \
	  clean install
	mkdir -p $${OUTPUTDIR:-dist}
	HGVER=$$(python contrib/genosxversion.py $(OSXVERSIONFLAGS) build/mercurial/Library/Python/2.7/site-packages/mercurial/__version__.py) && \
	OSXVER=$$(sw_vers -productVersion | cut -d. -f1,2) && \
	pkgbuild --filter \\.DS_Store --root build/mercurial/ \
	  --identifier org.mercurial-scm.mercurial \
	  --version "$${HGVER}" \
	  build/mercurial.pkg && \
	productbuild --distribution contrib/packaging/macosx/distribution.xml \
	  --package-path build/ \
	  --version "$${HGVER}" \
	  --resources contrib/packaging/macosx/ \
	  "$${OUTPUTDIR:-dist/}"/Mercurial-"$${HGVER}"-macosx"$${OSXVER}".pkg

pyoxidizer:
	$(PYOXIDIZER) build --path ./rust/hgcli --release


PYOX_DIR=build/pyoxidizer/x86_64-pc-windows-msvc/release/app

# a temporary target to setup all we need for run-tests.py --pyoxidizer
# (should go away as the run-tests implementation improves
pyoxidizer-windows-tests: pyoxidizer
	rm -rf $(PYOX_DIR)/templates
	cp -ar $(PYOX_DIR)/lib/mercurial/templates $(PYOX_DIR)/templates
	rm -rf $(PYOX_DIR)/helptext
	cp -ar $(PYOX_DIR)/lib/mercurial/helptext $(PYOX_DIR)/helptext
	rm -rf $(PYOX_DIR)/defaultrc
	cp -ar $(PYOX_DIR)/lib/mercurial/defaultrc $(PYOX_DIR)/defaultrc
	rm -rf $(PYOX_DIR)/contrib
	cp -ar contrib $(PYOX_DIR)/contrib
	rm -rf $(PYOX_DIR)/doc
	cp -ar doc $(PYOX_DIR)/doc


.PHONY: help all local build doc cleanbutpackages clean install install-bin \
	install-doc install-home install-home-bin install-home-doc \
	dist dist-notests check tests rust-tests check-code format-c \
	update-pot pyoxidizer pyoxidizer-windows-tests \
	$(packaging_targets) \
	osx

=== contrib/packaging/Makefile ===
$(eval HGROOT := $(shell cd ../..; pwd))

DEBIAN_CODENAMES := \
  stretch \
  buster \
  bullseye

UBUNTU_CODENAMES := \
  xenial \
  bionic \
  cosmic \
  focal

FEDORA_RELEASE := 31

CENTOS_RELEASES := \
  7 \
  8

# Build a Python for these CentOS releases.
CENTOS_WITH_PYTHON_RELEASES :=
CENTOS_WITH_NONVERSIONED_PYTHON :=
CENTOS_WITH_36_DOCUTILS := 7

help:
	@echo 'Packaging Make Targets'
	@echo ''
	@echo 'docker-centos{$(strip $(CENTOS_RELEASES))}'
	@echo '   Build an RPM for a specific CentOS version using Docker.'
	@echo ''
	@echo 'docker-debian-{$(strip $(DEBIAN_CODENAMES))}'
	@echo '   Build Debian packages specific to a Debian distro using Docker.'
	@echo ''
	@echo 'docker-fedora'
	@echo '   Build an RPM for a Fedora $(FEDORA_RELEASE) using Docker.'
	@echo ''
	@echo 'docker-ubuntu-{$(strip $(UBUNTU_CODENAMES))}'
	@echo '   Build Debian package specific to an Ubuntu distro using Docker.'
	@echo ''
	@echo 'docker-ubuntu-{$(strip $(UBUNTU_CODENAMES))}-ppa'
	@echo '   Build a source-only Debian package specific to an Ubuntu distro'
	@echo '   using Docker.'
	@echo ''
	@echo 'linux-wheels'
	@echo '   Build Linux manylinux wheels using Docker.'
	@echo ''
	@echo 'linux-wheels-{x86_64, i686}'
	@echo '   Build Linux manylinux wheels for a specific architecture using Docker'
	@echo ''
	@echo 'deb'
	@echo '   Build a Debian package locally targeting the current system'
	@echo ''
	@echo 'ppa'
	@echo '   Build a Debian source package locally targeting the current system'
	@echo ''
	@echo 'centos{$(strip $(CENTOS_RELEASES))}'
	@echo '   Build an RPM for a specific CentOS version locally'
	@echo ''
	@echo 'fedora'
	@echo '   Build an RPM for Fedora $(FEDORA_RELEASE) locally'

.PHONY: help

.PHONY: deb
deb:
	./builddeb

.PHONY: ppa
ppa:
	./builddeb --source-only

# Debian targets.
define debian_targets =
.PHONY: docker-debian-$(1)
docker-debian-$(1):
	./dockerdeb debian $(1)

endef

$(foreach codename,$(DEBIAN_CODENAMES),$(eval $(call debian_targets,$(codename))))

# Ubuntu targets.
define ubuntu_targets =
.PHONY: docker-ubuntu-$(1)
docker-ubuntu-$(1):
	./dockerdeb ubuntu $(1)

.PHONY: docker-ubuntu-$(1)-ppa
docker-ubuntu-$(1)-ppa:
	./dockerdeb ubuntu $(1) --source-only

endef

$(foreach codename,$(UBUNTU_CODENAMES),$(eval $(call ubuntu_targets,$(codename))))

# Fedora targets.
.PHONY: fedora
fedora:
	mkdir -p $(HGROOT)/packages/fedora$(FEDORA_RELEASE)
	./buildrpm
	cp $(HGROOT)/contrib/packaging/rpmbuild/RPMS/*/* $(HGROOT)/packages/fedora$(FEDORA_RELEASE)
	cp $(HGROOT)/contrib/packaging/rpmbuild/SRPMS/* $(HGROOT)/packages/fedora$(FEDORA_RELEASE)
	rm -rf $(HGROOT)/rpmbuild

.PHONY: docker-fedora
docker-fedora:
	./dockerrpm fedora$(FEDORA_RELEASE)

# CentOS targets.
define centos_targets
.PHONY: centos$(1)
centos$(1):
	mkdir -p $$(HGROOT)/packages/centos$(1)
	./buildrpm $$(if $$(filter $(1),$$(CENTOS_WITH_PYTHON_RELEASES)),--withpython,$$(if $$(filter $(1),$$(CENTOS_WITH_NONVERSIONED_PYTHON)),--python python,))$$(if $$(filter $(1),$$(CENTOS_WITH_36_DOCUTILS)), --docutilspackage python36-docutils,)
	cp $$(HGROOT)/contrib/packaging/rpmbuild/RPMS/*/* $$(HGROOT)/packages/centos$(1)
	cp $$(HGROOT)/contrib/packaging/rpmbuild/SRPMS/* $$(HGROOT)/packages/centos$(1)

.PHONY: docker-centos$(1)
docker-centos$(1):
	./dockerrpm centos$(1) $$(if $$(filter $(1),$$(CENTOS_WITH_PYTHON_RELEASES)),--withpython,$$(if $$(filter $(1),$$(CENTOS_WITH_NONVERSIONED_PYTHON)),--python python,))$$(if $$(filter $(1),$$(CENTOS_WITH_36_DOCUTILS)), --docutilspackage python36-docutils,)

endef

$(foreach release,$(CENTOS_RELEASES),$(eval $(call centos_targets,$(release))))

.PHONY: linux-wheels
linux-wheels: linux-wheels-x86_64 linux-wheels-i686

.PHONY: linux-wheels-x86_64
linux-wheels-x86_64:
	docker run -e "HGTEST_JOBS=$(shell nproc)" --rm -ti -v `pwd`/../..:/src quay.io/pypa/manylinux1_x86_64 /src/contrib/packaging/build-linux-wheels.sh

.PHONY: linux-wheels-i686
linux-wheels-i686:
	docker run -e "HGTEST_JOBS=$(shell nproc)" --rm -ti -v `pwd`/../..:/src quay.io/pypa/manylinux1_i686 linux32 /src/contrib/packaging/build-linux-wheels.sh

=== debian/changelog ===
mercurial (6.0-1) experimental; urgency=medium

  * New upstream release

 -- Julien Cristau <jcristau@debian.org>  Tue, 23 Nov 2021 20:37:36 +0100

mercurial (6.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Wed, 10 Nov 2021 13:12:13 +0100

## mercurial 6.0.1

=== debian/changelog ===
mercurial (6.0.1-3) unstable; urgency=medium

  * Use upstream's Makefile to build/install chg and man pages.

 -- Julien Cristau <jcristau@debian.org>  Thu, 13 Jan 2022 16:23:32 +0100

mercurial (6.0.1-2) unstable; urgency=medium

  * Stop installing debian-specific hg-ssh manpage, upstream has
    supplied one since 2016.
  * Replace pylint3 with pylint in autopkgtest dependencies.
  * Add python3-subversion and python3-pygit2 autopkgtest dependencies

 -- Julien Cristau <jcristau@debian.org>  Thu, 13 Jan 2022 11:35:12 +0100

mercurial (6.0.1-1) unstable; urgency=medium

  * Add Raphaël Gomès' key to the known set.
  * New upstream release.
    + deb_specific__test_zstd_s390x.patch: dropped, merged upstream
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 06 Jan 2022 10:16:00 +0100

## mercurial 6.0.2

=== debian/changelog ===
mercurial (6.0.2-1) unstable; urgency=medium

  * Blocklist test-git-interop.t since we don't ship the corresponding
    extension.
  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 03 Feb 2022 11:01:46 +0100

## mercurial 6.1

=== debian/changelog ===
mercurial (6.1-4) sid; urgency=medium

  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 24 Mar 2022 20:39:34 +0100

mercurial (6.1-3) experimental; urgency=medium

  * Fix test-clone-stream_bigendian.patch.

 -- Julien Cristau <jcristau@debian.org>  Tue, 15 Mar 2022 17:18:53 +0100

mercurial (6.1-2) experimental; urgency=medium

  * revlog_unsigned_char_fix.patch: fix FTBFS on architectures with
    unsigned char
  * Update test blacklist:
    - re-enable test-nointerrupt.t, test-https.t and
      test-narrow-shallow.t, fixed upstream
    - disable test-http-bad-server.t for intermittent failures
  * test-clone-stream_bigendian.patch: fix test-clone-stream.t failure
    on bigendian archs.

 -- Julien Cristau <jcristau@debian.org>  Tue, 15 Mar 2022 15:10:53 +0100

mercurial (6.1-1) experimental; urgency=medium

  * New upstream release.
  * deb_specific__which_silence_warning.patch: delete, no longer needed.

 -- Julien Cristau <jcristau@debian.org>  Wed, 02 Mar 2022 17:18:42 +0100

## mercurial 6.1.1

=== contrib/packaging/requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.7
# To update, run:
#
#    pip-compile --generate-hashes --output-file=contrib/packaging/requirements.txt contrib/packaging/requirements.txt.in
#
docutils==0.16 \
    --hash=sha256:0c5b78adfbf7762415433f5515cd5c9e762339e23369dbe8000d84a4bf4ab3af \
    --hash=sha256:c2de3a60e9e7d07be26b7f2b00ca0309c207e06c100f9cc2a94931fc75a478fc
    # via -r contrib/packaging/requirements.txt.in
jinja2==2.11.2 \
    --hash=sha256:89aab215427ef59c34ad58735269eb58b1a5808103067f7bb9d5836c651b3bb0 \
    --hash=sha256:f0a4641d3cf955324a89c04f3d94663aa4d638abe8f733ecd3582848e1c37035
    # via -r contrib/packaging/requirements.txt.in
markupsafe==1.1.1 \
    --hash=sha256:00bc623926325b26bb9605ae9eae8a215691f33cae5df11ca5424f06f2d1f473 \
    --hash=sha256:09027a7803a62ca78792ad89403b1b7a73a01c8cb65909cd876f7fcebd79b161 \
    --hash=sha256:09c4b7f37d6c648cb13f9230d847adf22f8171b1ccc4d5682398e77f40309235 \
    --hash=sha256:1027c282dad077d0bae18be6794e6b6b8c91d58ed8a8d89a89d59693b9131db5 \
    --hash=sha256:13d3144e1e340870b25e7b10b98d779608c02016d5184cfb9927a9f10c689f42 \
    --hash=sha256:24982cc2533820871eba85ba648cd53d8623687ff11cbb805be4ff7b4c971aff \
    --hash=sha256:29872e92839765e546828bb7754a68c418d927cd064fd4708fab9fe9c8bb116b \
    --hash=sha256:43a55c2930bbc139570ac2452adf3d70cdbb3cfe5912c71cdce1c2c6bbd9c5d1 \
    --hash=sha256:46c99d2de99945ec5cb54f23c8cd5689f6d7177305ebff350a58ce5f8de1669e \
    --hash=sha256:500d4957e52ddc3351cabf489e79c91c17f6e0899158447047588650b5e69183 \
    --hash=sha256:535f6fc4d397c1563d08b88e485c3496cf5784e927af890fb3c3aac7f933ec66 \
    --hash=sha256:596510de112c685489095da617b5bcbbac7dd6384aeebeda4df6025d0256a81b \
    --hash=sha256:62fe6c95e3ec8a7fad637b7f3d372c15ec1caa01ab47926cfdf7a75b40e0eac1 \
    --hash=sha256:6788b695d50a51edb699cb55e35487e430fa21f1ed838122d722e0ff0ac5ba15 \
    --hash=sha256:6dd73240d2af64df90aa7c4e7481e23825ea70af4b4922f8ede5b9e35f78a3b1 \
    --hash=sha256:717ba8fe3ae9cc0006d7c451f0bb265ee07739daf76355d06366154ee68d221e \
    --hash=sha256:79855e1c5b8da654cf486b830bd42c06e8780cea587384cf6545b7d9ac013a0b \
    --hash=sha256:7c1699dfe0cf8ff607dbdcc1e9b9af1755371f92a68f706051cc8c37d447c905 \
    --hash=sha256:88e5fcfb52ee7b911e8bb6d6aa2fd21fbecc674eadd44118a9cc3863f938e735 \
    --hash=sha256:8defac2f2ccd6805ebf65f5eeb132adcf2ab57aa11fdf4c0dd5169a004710e7d \
    --hash=sha256:98c7086708b163d425c67c7a91bad6e466bb99d797aa64f965e9d25c12111a5e \
    --hash=sha256:9add70b36c5666a2ed02b43b335fe19002ee5235efd4b8a89bfcf9005bebac0d \
    --hash=sha256:9bf40443012702a1d2070043cb6291650a0841ece432556f784f004937f0f32c \
    --hash=sha256:ade5e387d2ad0d7ebf59146cc00c8044acbd863725f887353a10df825fc8ae21 \
    --hash=sha256:b00c1de48212e4cc9603895652c5c410df699856a2853135b3967591e4beebc2 \
    --hash=sha256:b1282f8c00509d99fef04d8ba936b156d419be841854fe901d8ae224c59f0be5 \
    --hash=sha256:b2051432115498d3562c084a49bba65d97cf251f5a331c64a12ee7e04dacc51b \
    --hash=sha256:ba59edeaa2fc6114428f1637ffff42da1e311e29382d81b339c1817d37ec93c6 \
    --hash=sha256:c8716a48d94b06bb3b2524c2b77e055fb313aeb4ea620c8dd03a105574ba704f \
    --hash=sha256:cd5df75523866410809ca100dc9681e301e3c27567cf498077e8551b6d20e42f \
    --hash=sha256:cdb132fc825c38e1aeec2c8aa9338310d29d337bebbd7baa06889d09a60a1fa2 \
    --hash=sha256:e249096428b3ae81b08327a63a485ad0878de3fb939049038579ac0ef61e17e7 \
    --hash=sha256:e8313f01ba26fbbe36c7be1966a7b7424942f670f38e666995b88d012765b9be
    # via jinja2

=== debian/changelog ===
mercurial (6.1.1-1ubuntu1) jammy; urgency=medium

  * Skip test-https.t again since it tries to
    test TLS 1.0/1.1 which are disabled in Ubuntu

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 12 Apr 2022 19:05:02 +0000

mercurial (6.1.1-1) sid; urgency=medium

  * New upstream bugfix release.
  * Fix test failures with python 3.10 (closes: #1008747).

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Apr 2022 14:08:09 +0200

=== debian/control ===
Source: mercurial
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Tristan Seligmann <mithrandi@debian.org>,
 Julien Cristau <jcristau@debian.org>,
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-python,
 gettext,
 netbase <!nocheck>,
 patchutils (>= 0.2.25) <!nocheck>,
 python3-all-dev,
 python3-docutils,
 python3-roman,
 rename <!nocheck>,
 unzip <!nocheck>,
 zip <!nocheck>,
 less <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://www.mercurial-scm.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/mercurial.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mercurial
Rules-Requires-Root: no

Package: mercurial-common
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ca-certificates, mercurial (>= ${source:Version}), sensible-utils
Suggests: python3-mysqldb, python3-openssl, python3-pygments, wish
Breaks: mercurial (<< ${source:Version})
Replaces: mercurial (<< 2.6.3)
Description: easy-to-use, scalable distributed version control system (common files)
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 .
 This package contains the architecture independent components of Mercurial,
 and is generally useless without the mercurial package.

Package: mercurial
Architecture: any
Depends:
 mercurial-common (= ${source:Version}),
 ucf (>= 2.0020),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends: openssh-client
Suggests: kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff, qct
Breaks:
 hgsubversion (<= 1.9.3+git20190419+6a6ce-3),
 hgview-common,
 mercurial-crecord (<< 0.20151121-2~),
 mercurial-git (<= 0.8.12-1.2),
 qct,
 mercurial-keyring (<= 1.3.0-1),
 mercurial-server,
 python-sphinx-patchqueue,
 trac-mercurial,
Provides: python3-mercurial
Description: easy-to-use, scalable distributed version control system
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 .
 Its features include:
  * O(1) delta-compressed file storage and retrieval scheme
  * Complete cross-indexing of files and changesets for efficient exploration
    of project history
  * Robust SHA1-based integrity checking and append-only storage model
  * Decentralized development model with arbitrary merging between trees
  * High-speed HTTP-based network merge protocol
  * Easy-to-use command-line interface
  * Integrated stand-alone web interface
  * Small Python codebase
 .
 This package contains the architecture dependent files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3,bash-completion

PYVERS=$(shell py3versions -vs)

include /usr/share/dpkg/architecture.mk

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_build: $(PYVERS:%=build-python%)
	$(MAKE) build-chg
	# Do not start a line with a word with a dot in a manpage
	sed -i -e 's,^[.]\(hgignore\|hg/hgrc\),\\fP\1,' doc/hg.1

build-python%:
	$(MAKE) all PYTHON=python$*

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         NJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
         PARALLEL_TEST_JOBS := --jobs $(NJOBS)
endif

ARCH_IS_MIPS := $(if $(subst mips,,$(DEB_HOST_ARCH)),,T)
ARCH_IS_KFREEBSD-i386 := $(if $(subst kfreebsd-i386,,$(DEB_HOST_ARCH)),,T)
ARCH_IS_ARMEL := $(if $(subst armel,,$(DEB_HOST_ARCH)),,T)
ARCH_IS_SPARC := $(if $(subst sparc,,$(DEB_HOST_ARCH)),,T)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
# test-pull-pull-corruption tries to execute two hg commands at the
# same time to test for corruption.  It does so by running an hg
# command in the background, sleeping one second and running the
# second command.  In architectures with slow buildds, one second is
# not enough and the second test starts before the first one has
# started printing.  This is hacky and we just enhance the hack by
# incrementing the sleep time in those architectures.
ifneq ($(or $(ARCH_IS_MIPS), $(ARCH_IS_KFREEBSD-i386), $(ARCH_IS_ARMEL), $(ARCH_IS_SPARC)),)
		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t
endif

	http_proxy='' dh_auto_test -- PYTHON=python3 TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
	file-rename 's/\.deb-backup$$//' $(CURDIR)/tests/*
	# run blacklisted tests but ignore their results
	-cd tests && python3 run-tests.py --verbose `grep ^test ../debian/mercurial.test_blacklist`
endif

override_dh_auto_install: $(PYVERS:%=install-python%)
	$(MAKE) install-chg DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr PYTHON=python3
	# #961245: mercurial-git grabbed the hgext/git directory years
	# ago, so don't install our experimental extension there for now
	rm -rf debian/tmp/usr/lib/python*/*-packages/hgext/git

install-python%:
	dh_auto_install -- PREFIX=/usr PYTHON=python$*

execute_after_dh_install:
	if test -d $(CURDIR)/debian/mercurial ; then \
		$(MAKE) -f debian/rules install-archdep ; \
	fi
	if test -d $(CURDIR)/debian/mercurial-common ; then \
		$(MAKE) -f debian/rules install-archindep ;\
	fi

install-archdep:
	# remove arch-independent python stuff
	find debian/mercurial/usr/lib \
		! -name '*.so' ! -type d -delete , \
		-type d -empty -delete

install-archindep:
	# remove arch-dependent python stuff
	find debian/mercurial-common/usr/lib \
		-name '*.so' ! -type d -delete , \
		-type d -empty -delete
	install -DTm 644 contrib/zsh_completion \
	    debian/mercurial-common/usr/share/zsh/vendor-completions/_mercurial
	install -DTm 644 tests/run-tests.py \
	    debian/mercurial-common/usr/share/mercurial/tests/run-tests.py

override_dh_python3-arch:
	dh_python3
	find debian/mercurial/usr/share -type d -empty -delete ; \

override_dh_auto_clean: mercurial/__version__.py
	cp -a mercurial/__version__.py mercurial/__version__.py.save
	dh_auto_clean -- PYTHON=python3
	mv mercurial/__version__.py.save mercurial/__version__.py
	$(RM) -rv tmp/

mercurial/__version__.py:
	@echo "$@ is missing (you probably call 'make clean' directly)."
	@echo "Restore it from sources before building the package"
	@echo "Aborting."
	exit 1

=== debian/tests/control ===
Tests: testsuite
Depends:
    @,
    zip,
    unzip,
    netbase,
    subversion,
    python3-subversion,
    cvs,
    bzr,
    tla,
    git,
    darcs,
    gcc,
    python3-dev,
    less,
    gettext,
    pylint,
    python3-pygments,
    python3-docutils,
    sqlite3,
    clang-format,
    python3-vcr,
    python3-fuzzywuzzy,
    python3-pygit2,
Restrictions: allow-stderr

## mercurial 6.1.2

=== debian/changelog ===
mercurial (6.1.2-1) sid; urgency=medium

  * Add zsh_completion to debian/copyright (closes: #1004341)
  * New upstream bugfix release
  * Fix test failures with openssl 3 (closes: #1011076)

 -- Julien Cristau <jcristau@debian.org>  Mon, 23 May 2022 12:21:07 +0200

## mercurial 6.1.3

=== Makefile ===
--- 
+++ 
@@ -204,11 +204,11 @@
 # Packaging targets
 
 packaging_targets := \
-  centos7 \
-  centos8 \
+  rhel7 \
+  rhel8 \
   deb \
-  docker-centos7 \
-  docker-centos8 \
+  docker-rhel7 \
+  docker-rhel8 \
   docker-debian-bullseye \
   docker-debian-buster \
   docker-debian-stretch \

=== debian/changelog ===
mercurial (6.1.3-1) sid; urgency=medium

  * Blocklist test-convert-cvs-synthetic.t.
  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 07 Jun 2022 20:53:46 +0200

## mercurial 6.2

=== debian/changelog ===
mercurial (6.2-1) sid; urgency=medium

  * New upstream release
    - Update patch stack

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Jul 2022 15:19:13 +0200

## mercurial 6.2.2

=== Makefile ===
--- 
+++ 
@@ -151,12 +151,9 @@
         $(MAKE) -f $(HGROOT)/contrib/Makefile.python PYTHONVER=$* PREFIX=$(HGPYTHONS)/$* python )
 	cd tests && $(HGPYTHONS)/$*/bin/python run-tests.py $(TESTFLAGS)
 
-rust-tests: py_feature = $(shell $(PYTHON) -c \
- 'import sys; print(["python27-bin", "python3-bin"][sys.version_info[0] >= 3])')
 rust-tests:
 	cd $(HGROOT)/rust/hg-cpython \
-		&& $(CARGO) test --quiet --all \
-			--no-default-features --features "$(py_feature) $(HG_RUST_FEATURES)"
+		&& $(CARGO) test --quiet --all --features "$(HG_RUST_FEATURES)"
 
 check-code:
 	hg manifest | xargs python contrib/check-code.py
@@ -238,16 +235,6 @@
         # Place a bogon .DS_Store file in the target dir so we can be
         # sure it doesn't get included in the final package.
 	touch build/mercurial/.DS_Store
-        # install zsh completions - this location appears to be
-        # searched by default as of macOS Sierra.
-	install -d build/mercurial/usr/local/share/zsh/site-functions/
-	install -m 0644 contrib/zsh_completion build/mercurial/usr/local/share/zsh/site-functions/_hg
-        # install bash completions - there doesn't appear to be a
-        # place that's searched by default for bash, so we'll follow
-        # the lead of Apple's git install and just put it in a
-        # location of our own.
-	install -d build/mercurial/usr/local/hg/contrib/
-	install -m 0644 contrib/bash_completion build/mercurial/usr/local/hg/contrib/hg-completion.bash
 	make -C contrib/chg \
 	  HGPATH=/usr/local/bin/hg \
 	  PYTHON=/usr/bin/python2.7 \

=== debian/changelog ===
mercurial (6.2.2-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:27:53 +0000

mercurial (6.2.2-1) sid; urgency=medium

  * New upstream bugfix release
    - fixed fsmonitor extension (closes: #1014817)

 -- Julien Cristau <jcristau@debian.org>  Fri, 02 Sep 2022 14:08:12 +0200

## mercurial 6.2.3

=== debian/changelog ===
mercurial (6.2.3-1) sid; urgency=medium

  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Oct 2022 14:26:54 +0200

## mercurial 6.3.1

=== Makefile ===
--- 
+++ 
@@ -203,9 +203,11 @@
 packaging_targets := \
   rhel7 \
   rhel8 \
+  rhel9 \
   deb \
   docker-rhel7 \
   docker-rhel8 \
+  docker-rhel9 \
   docker-debian-bullseye \
   docker-debian-buster \
   docker-debian-stretch \

=== debian/changelog ===
mercurial (6.3.1-2) sid; urgency=medium

  * Fix FTBFS on 32-bit (closes: #1025621)

 -- Julien Cristau <jcristau@debian.org>  Wed, 07 Dec 2022 13:59:55 +0100

mercurial (6.3.1-1) sid; urgency=medium

  * New upstream release
    - add python3-packaging to build-deps and autopkgtest dependencies for
      run-tests, replacing
      py310/2_run_tests__silence_distutils_deprecation_warning.patch
  * test-hghave-testrepo.patch: new patch, to make test-hghave.t pass outside a
    hg repo.

 -- Julien Cristau <jcristau@debian.org>  Tue, 06 Dec 2022 11:57:31 +0100

## mercurial 6.3.2

=== Makefile ===
--- 
+++ 
@@ -260,10 +260,9 @@
 	$(PYOXIDIZER) build --path ./rust/hgcli --release
 
 
-PYOX_DIR=build/pyoxidizer/x86_64-pc-windows-msvc/release/app
-
 # a temporary target to setup all we need for run-tests.py --pyoxidizer
 # (should go away as the run-tests implementation improves
+pyoxidizer-windows-tests: PYOX_DIR=build/pyoxidizer/x86_64-pc-windows-msvc/release/app
 pyoxidizer-windows-tests: pyoxidizer
 	rm -rf $(PYOX_DIR)/templates
 	cp -ar $(PYOX_DIR)/lib/mercurial/templates $(PYOX_DIR)/templates
@@ -277,9 +276,25 @@
 	cp -ar doc $(PYOX_DIR)/doc
 
 
+# a temporary target to setup all we need for run-tests.py --pyoxidizer
+# (should go away as the run-tests implementation improves
+pyoxidizer-macos-tests: PYOX_DIR=build/pyoxidizer/x86_64-apple-darwin/release/app
+pyoxidizer-macos-tests: pyoxidizer
+	rm -rf $(PYOX_DIR)/templates
+	cp -a mercurial/templates $(PYOX_DIR)/templates
+	rm -rf $(PYOX_DIR)/helptext
+	cp -a mercurial/helptext $(PYOX_DIR)/helptext
+	rm -rf $(PYOX_DIR)/defaultrc
+	cp -a mercurial/defaultrc $(PYOX_DIR)/defaultrc
+	rm -rf $(PYOX_DIR)/contrib
+	cp -a contrib $(PYOX_DIR)/contrib
+	rm -rf $(PYOX_DIR)/doc
+	cp -a doc $(PYOX_DIR)/doc
+
+
 .PHONY: help all local build doc cleanbutpackages clean install install-bin \
 	install-doc install-home install-home-bin install-home-doc \
 	dist dist-notests check tests rust-tests check-code format-c \
-	update-pot pyoxidizer pyoxidizer-windows-tests \
+	update-pot pyoxidizer pyoxidizer-windows-tests pyoxidizer-macos-tests \
 	$(packaging_targets) \
 	osx

=== debian/changelog ===
mercurial (6.3.2-1+deb12u1) bookworm-security; urgency=high

  * CVE-2025-2361: reflected XSS in hgweb (closes: #1100899)
  * patchbomb: don't test ambiguous address (fixes FTBFS after python's
    fix for CVE-2023-27043).

 -- Julien Cristau <jcristau@debian.org>  Thu, 20 Mar 2025 13:56:44 +0100

mercurial (6.3.2-1) sid; urgency=medium

  * New upstream bugfix release.
  * from_upstream_stable.patch: pull in upstream changes up to changeset 812a9fbf4380
  * cgitb.patch: stop importing cgitb to avoid deprecation warnings
  * Skip test-remotefilelog-gc.t.
  * This fixes compatibility with python 3.11 (closes: #1028815)
  * Bump test timeout to 1800 because riscv64 is apparently even slower than
    mips (closes: #1024867).

 -- Julien Cristau <jcristau@debian.org>  Mon, 20 Feb 2023 18:44:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Julien Cristau <jcristau@debian.org>,
@@ -16,6 +15,7 @@
  python3-all-dev,
  python3-docutils,
  python3-roman,
+ python3-packaging <!nocheck>,
  rename <!nocheck>,
  unzip <!nocheck>,
  zip <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 		sed -i.deb-backup -e 's/sleep 1/sleep 2/' $(CURDIR)/tests/test-pull-pull-corruption.t
 endif
 
-	http_proxy='' dh_auto_test -- PYTHON=python3 TESTFLAGS="--verbose --timeout 1440 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
+	http_proxy='' dh_auto_test -- PYTHON=python3 TESTFLAGS="--verbose --timeout 1800 $(PARALLEL_TEST_JOBS) --blacklist $(CURDIR)/debian/mercurial.test_blacklist"
 	file-rename 's/\.deb-backup$$//' $(CURDIR)/tests/*
 	# run blacklisted tests but ignore their results
 	-cd tests && python3 run-tests.py --verbose `grep ^test ../debian/mercurial.test_blacklist`

## mercurial 6.4.4

=== debian/changelog ===
mercurial (6.4.4-2) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

  [ Julien Cristau ]
  * Skip test-convert-darcs.t and test-convert-svn-branches.t.
  * Re-enable test-http-bad-server.t (upstream bug was fixed)

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 14:29:24 +0200

mercurial (6.4.4-1) unstable; urgency=medium

  * New upstream release
    - chg-environ.patch: dropped, fixed upstream

 -- Julien Cristau <jcristau@debian.org>  Fri, 16 Jun 2023 15:14:31 +0200

mercurial (6.4.2-1) experimental; urgency=medium

  * New upstream release.
    - from_upstream_stable.patch: dropped, already upstream
    - openssl_3_cipher_tlsv1.patch: dropped, now merged upstream
    - chg-environ.patch: new patch, fixes chg build failure
    - proposed_upstream__doctest.path: updated

 -- Julien Cristau <jcristau@debian.org>  Tue, 18 Apr 2023 16:23:22 +0200

## mercurial 6.5.2

=== debian/changelog ===
mercurial (6.5.2-2ubuntu1) noble; urgency=medium

  * Build-depend on python3-zombie-imp
  * Fix install changes in python3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2023 11:23:54 +0100

mercurial (6.5.2-2) unstable; urgency=medium

  * Fix test-clone-stream.t failure causing FTBFS on big endian

 -- Julien Cristau <jcristau@debian.org>  Wed, 27 Sep 2023 10:27:49 +0200

mercurial (6.5.2-1) unstable; urgency=medium

  * New upstream release
    + py310/9_tests__silence_asyncore_smtpd_deprecation_warnings.patch:
      dropped, upstream rewrote dummysmtpd.py
    + cgitb.patch: dropped, fixed upstream

 -- Julien Cristau <jcristau@debian.org>  Tue, 26 Sep 2023 14:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Tristan Seligmann <mithrandi@debian.org>,
  Julien Cristau <jcristau@debian.org>,
 Build-Depends:
  bash-completion,
@@ -15,6 +14,7 @@
  python3-all-dev,
  python3-docutils,
  python3-roman,
+ python3-zombie-imp,
  python3-packaging <!nocheck>,
  rename <!nocheck>,
  unzip <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	rm -rf debian/tmp/usr/lib/python*/*-packages/hgext/git
 
 install-python%:
-	dh_auto_install -- PREFIX=/usr PYTHON=python$*
+	dh_auto_install -- --install-layout=deb PREFIX=/usr PYTHON=python$*
 
 execute_after_dh_install:
 	if test -d $(CURDIR)/debian/mercurial ; then \

## mercurial 6.5.3

=== debian/changelog ===
mercurial (6.5.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Delete mercurial.egg-info/ on clean.
  * Pass DEB_PYTHON_INSTALL_LAYOUT to make install to work around
    distutils/setuptools being a mess.

 -- Julien Cristau <jcristau@debian.org>  Thu, 16 Nov 2023 17:57:14 +0100

## mercurial 6.6

=== debian/changelog ===
mercurial (6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 05 Dec 2023 15:17:28 +0100

mercurial (6.6~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Fri, 17 Nov 2023 10:11:37 +0100

## mercurial 6.6.1

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 all: build doc
 
 local:
-	$(PYTHON) setup.py $(PURE) \
+	MERCURIAL_SETUP_MAKE_LOCAL=1 $(PYTHON) setup.py $(PURE) \
 	  build_py -c -d . \
 	  build_ext $(COMPILERFLAG) -i \
 	  build_hgexe $(COMPILERFLAG) -i \
@@ -138,6 +138,7 @@
         # Run Rust tests if cargo is installed
 	if command -v $(CARGO) >/dev/null 2>&1; then \
 		$(MAKE) rust-tests; \
+		$(MAKE) cargo-clippy; \
 	fi
 	cd tests && $(PYTHON) run-tests.py $(TESTFLAGS)
 
@@ -152,8 +153,12 @@
 	cd tests && $(HGPYTHONS)/$*/bin/python run-tests.py $(TESTFLAGS)
 
 rust-tests:
-	cd $(HGROOT)/rust/hg-cpython \
+	cd $(HGROOT)/rust \
 		&& $(CARGO) test --quiet --all --features "$(HG_RUST_FEATURES)"
+
+cargo-clippy:
+	cd $(HGROOT)/rust \
+		&& $(CARGO) clippy --all --features "$(HG_RUST_FEATURES)" -- -D warnings
 
 check-code:
 	hg manifest | xargs python contrib/check-code.py

=== debian/changelog ===
mercurial (6.6.1-2) unstable; urgency=medium

  * histedit: remove superfluous echo() and endwin() calls.  Fixes
    incompatibility with ncurses patch level 20231111, see #1058041.
    Thanks, Sven Joachim!

 -- Julien Cristau <jcristau@debian.org>  Tue, 12 Dec 2023 13:28:02 +0100

mercurial (6.6.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Mark test-copies-chain-merge as slow, so it's skipped.

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Dec 2023 14:23:00 +0100
